GETFIELD (jakarta-bcel 5.1 API)
Keywords: org.apache.bcel.generic.GETFIELD,GETFIELD class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.bcel.generic
Class GETFIELD

    java.lang.Object
      |
      +--org.apache.bcel.generic.Instruction
            |
            +--org.apache.bcel.generic.CPInstruction
                  |
                  +--org.apache.bcel.generic.FieldOrMethod
                        |
                        +--org.apache.bcel.generic.FieldInstruction
                              |
                              +--org.apache.bcel.generic.GETFIELD

All Implemented Interfaces:
  java.lang.Cloneable, ExceptionThrower, IndexedInstruction, LoadClass, java.io.Serializable, StackConsumer, StackProducer, TypedInstruction

public class GETFIELD
extends FieldInstruction
implements ExceptionThrower, StackConsumer, StackProducer

GETFIELD - Fetch field from object

    Stack: ..., objectref -> ..., value

OR

    Stack: ..., objectref -> ..., value.word1, value.word2

Version:
  $Id: GETFIELD.java,v 1.1.1.1 2001/10/29 20:00:13 jvanzyl Exp $
Author:
  M. Dahm
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.bcel.generic.CPInstruction
`index`

Fields inherited from class org.apache.bcel.generic.Instruction
`length, opcode`

Constructor Summary
`GETFIELD(int index)`

Method Summary
`void` | `accept(Visitor v)` Call corresponding visitor method(s).
`java.lang.Class[]` | `getExceptions()`
`int` | `produceStack(ConstantPoolGen cpg)` This method also gives right results for instructions whose effect on the stack depends on the constant pool entry they reference.

Methods inherited from class org.apache.bcel.generic.FieldInstruction
`getFieldName, getFieldSize, getFieldType, getType, toString`

Methods inherited from class org.apache.bcel.generic.FieldOrMethod
`getClassName, getClassType, getLoadClassType, getName, getSignature`

Methods inherited from class org.apache.bcel.generic.CPInstruction
`dump, getIndex, initFromFile, setIndex, toString`

Methods inherited from class org.apache.bcel.generic.Instruction
`consumeStack, copy, equals, getComparator, getLength, getName, getOpcode, readInstruction, setComparator, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.bcel.generic.StackConsumer
`consumeStack`

Constructor Detail

### GETFIELD

    public GETFIELD(int index)

Method Detail

### produceStack

    public int produceStack(ConstantPoolGen cpg)

  Description copied from class: `Instruction`
  This method also gives right results for instructions whose effect on the stack depends on the constant pool entry they reference.

  Specified by:
    `produceStack` in interface `StackProducer`
  Overrides:
    `produceStack` in class `Instruction`
  Returns:
    how many words are produced on stack

### getExceptions

    public java.lang.Class[] getExceptions()

  Specified by:
    `getExceptions` in interface `ExceptionThrower`

### accept

    public void accept(Visitor v)

  Call corresponding visitor method(s). The order is: Call visitor methods of implemented interfaces first, then call methods according to the class hierarchy in descending order, i.e., the most specific visitXXX() call comes last.

  Specified by:
    `accept` in class `Instruction`
  Parameters:
    `v` - Visitor object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2003 Apache Software Foundation. All Rights Reserved.